## gitlab 16.11.6

=== workhorse/Makefile ===
PREFIX=/usr/local

FIPS_MODE ?= 0
PKG := gitlab.com/gitlab-org/gitlab/workhorse
BUILD_DIR ?= $(CURDIR)
TARGET_DIR ?= $(BUILD_DIR)/_build
VERSION_STRING := $(shell git describe)
ifeq ($(strip $(VERSION_STRING)),)
VERSION_STRING := v$(shell cat VERSION)
endif
DATE_FMT = +%Y%m%d.%H%M%S
ifdef SOURCE_DATE_EPOCH
	BUILD_TIME := $(shell date -u -d "@$(SOURCE_DATE_EPOCH)" "$(DATE_FMT)" 2>/dev/null || date -u -r "$(SOURCE_DATE_EPOCH)" "$(DATE_FMT)" 2>/dev/null || date -u "$(DATE_FMT)")
else
	BUILD_TIME := $(shell date -u "$(DATE_FMT)")
endif
GO_BUILD_GENERIC_LDFLAGS := -X main.Version=$(VERSION_STRING) -X main.BuildTime=$(BUILD_TIME)
GITALY  := tmp/tests/gitaly/_build/bin/gitaly
GITALY_PID_FILE := gitaly.pid
EXE_ALL := gitlab-resize-image gitlab-zip-cat gitlab-zip-metadata gitlab-workhorse
INSTALL := install
BUILD_TAGS := tracer_static tracer_static_jaeger continuous_profiler_stackdriver

OS := $(shell uname | tr A-Z a-z)
ARCH ?= $(shell uname -m | sed -e 's/x86_64/amd64/' | sed -e 's/aarch64/arm64/')

GOLANGCI_LINT_VERSION := 1.55.2
GOLANGCI_LINT_ARCH ?= ${ARCH}
GOLANGCI_LINT_FILE := _support/bin/golangci-lint-${GOLANGCI_LINT_VERSION}

ifeq (${FIPS_MODE}, 1)
    # boringcrypto tag is added automatically by golang-fips compiler
    BUILD_TAGS += fips
    # If the golang-fips compiler is built with CGO_ENABLED=0, this needs to be
    # explicitly switched on.
    export CGO_ENABLED=1
    # Go 1.19+ now requires GOEXPERIMENT=boringcrypto for FIPS compilation.
    # See https://github.com/golang/go/issues/51940 for more details.
    ifeq ($(shell GOEXPERIMENT=boringcrypto go version > /dev/null 2>&1; echo $$?), 0)
      export GOEXPERIMENT=boringcrypto
    endif
endif

export GOBIN := $(TARGET_DIR)/bin
export PATH := $(GOBIN):$(PATH)
export GOPROXY ?= https://proxy.golang.org
export GO111MODULE=on

define message
	@echo "### $(1)"
endef

# To compute a unique and deterministic value for GNU build-id, we build the Go binary a second time.
# From the first build, we extract its unique and deterministic Go build-id, and use that to derive
# a comparably unique and deterministic GNU build-id to inject into the final binary.
# If we cannot extract a Go build-id, we punt and fallback to using a random 32-byte hex string.
# This fallback is unique but non-deterministic.  Uniqueness is critical, because the GNU build-id
# can be used as a cache key in a build cache.  Without the fallback, we risk cache key collisions.
## Skip generation of the GNU build ID if set to speed up builds.
WITHOUT_BUILD_ID ?=

.NOTPARALLEL:

.PHONY:	all
all:	clean-build $(EXE_ALL)

.PHONY: gitlab-resize-image gitlab-zip-cat gitlab-zip-metadata gitlab-workhorse
gitlab-resize-image gitlab-zip-cat gitlab-zip-metadata gitlab-workhorse:
	$(call message,Building $@)
	go build -ldflags "$(GO_BUILD_GENERIC_LDFLAGS)" -tags "$(BUILD_TAGS)" -o $(BUILD_DIR)/$@ $(PKG)/cmd/$@
ifndef WITHOUT_BUILD_ID
	go build -ldflags "$(GO_BUILD_GENERIC_LDFLAGS) -B 0x$$(_support/make-gnu-build-id.sh $(BUILD_DIR)/$@)" -tags "$(BUILD_TAGS)" -o $(BUILD_DIR)/$@ $(PKG)/cmd/$@
endif
.PHONY:	install
install: $(EXE_ALL)
	$(call message,$@)
	mkdir -p $(DESTDIR)$(PREFIX)/bin/
	cd $(BUILD_DIR) && $(INSTALL) $(EXE_ALL) $(DESTDIR)$(PREFIX)/bin/

.PHONY:	test
test: prepare-tests
	$(call message,$@)
	@if [ -z "$${GITALY_ADDRESS+x}" ] ; then \
		echo "To run gitaly integration tests set GITALY_ADDRESS=tcp://127.0.0.1:8075" ; \
	else \
		$(MAKE) run-gitaly ; \
	fi
	go test ${TEST_OPTIONS} -tags "$(BUILD_TAGS)" ./...
	@status="$$?" ;\
	if [ -f "$(GITALY_PID_FILE)" ] ; then \
		echo "Clean up Gitaly server for workhorse integration test" ;\
		kill -9 $$(cat $(GITALY_PID_FILE)) ;\
		rm $(GITALY_PID_FILE) ;\
	else \
		echo "Gitaly integration test not running" ;\
	fi ;\
	exit "$$status"
	@echo SUCCESS

.PHONY: test-race
test-race: TEST_OPTIONS = -race
test-race: test

.PHONY: test-coverage
test-coverage: TEST_OPTIONS = -cover -coverprofile=cover.out
test-coverage: test
	$(call message, "Calculating the coverage")
	[ -f cover.out ] && go tool cover -html cover.out -o coverage.html
	[ -f cover.out ] && go tool cover -func cover.out

.PHONY:	clean
clean: clean-workhorse clean-build
	$(call message,$@)
	rm -rf testdata/data testdata/scratch cover.out coverage.html

.PHONY:	clean-workhorse
clean-workhorse:
	$(call message,$@)
	rm -f $(EXE_ALL)

.PHONY:	clean-build
clean-build:
	$(call message,$@)
	rm -rf $(TARGET_DIR)

.PHONY:	prepare-tests
prepare-tests: testdata/scratch $(EXE_ALL)

.PHONY: run-gitaly
run-gitaly: $(GITALY_PID_FILE)

$(GITALY_PID_FILE): gitaly.toml
	$(call message, "Starting gitaly")
	cd ..; GITALY_TESTING_NO_GIT_HOOKS=1 GITALY_PID_FILE=workhorse/$(GITALY_PID_FILE) scripts/gitaly-test-spawn workhorse/gitaly.toml

gitaly.toml: ../tmp/tests/gitaly/config.toml
	sed -e 's/^socket_path.*$$/listen_addr = "0.0.0.0:8075"/;s/^\[auth\]$$//;s/^token.*$$//;s/^internal_socket_dir.*$$//' \
		$< > $@

../tmp/tests/gitaly/config.toml:
	$(call message, "Building a complete test environment")
	cd .. ; ./scripts/setup-test-env

testdata/scratch:
	mkdir -p testdata/scratch

.PHONY: verify
verify: lint vet detect-context detect-external-tests check-formatting staticcheck deps-check

.PHONY: lint
lint:
	$(call message,Verify: $@)
	go install golang.org/x/lint/golint
	@_support/lint.sh ./...

.PHONY: golangci
golangci: ${GOLANGCI_LINT_FILE}
	${GOLANGCI_LINT_FILE} run --issues-exit-code 0 --print-issued-lines=false ${GOLANGCI_LINT_ARGS}

${GOLANGCI_LINT_FILE}:
	mkdir -p $(shell dirname ${GOLANGCI_LINT_FILE})
	curl -L https://github.com/golangci/golangci-lint/releases/download/v${GOLANGCI_LINT_VERSION}/golangci-lint-${GOLANGCI_LINT_VERSION}-${OS}-${GOLANGCI_LINT_ARCH}.tar.gz | tar --strip-components 1 -zOxf - golangci-lint-${GOLANGCI_LINT_VERSION}-${OS}-${GOLANGCI_LINT_ARCH}/golangci-lint > ${GOLANGCI_LINT_FILE} && chmod +x ${GOLANGCI_LINT_FILE}

.PHONY: vet
vet:
	$(call message,Verify: $@)
	@go vet ./...

.PHONY: detect-context
detect-context:
	$(call message,Verify: $@)
	_support/detect-context.sh

.PHONY: detect-external-tests
detect-external-tests:
	$(call message,Verify: $@)
	_support/detect-external-tests.sh

.PHONY: check-formatting
check-formatting: install-goimports
	$(call message,Verify: $@)
	@_support/fmt.sh check

# Megacheck will tailor some responses given a minimum Go version, so pass that through the CLI
# Additionally, megacheck will not return failure exit codes unless explicitly told to via the
# `-simple.exit-non-zero` `-unused.exit-non-zero` and `-staticcheck.exit-non-zero` flags
.PHONY: staticcheck
staticcheck:
	$(call message,Verify: $@)
	go install honnef.co/go/tools/cmd/staticcheck
	@ $(GOBIN)/staticcheck ./...

# In addition to fixing imports, goimports also formats your code in the same style as gofmt
# so it can be used as a replacement.
.PHONY: fmt
fmt: install-goimports
	$(call message,$@)
	@_support/fmt.sh

.PHONY:	goimports
install-goimports:
	$(call message,$@)
	go install golang.org/x/tools/cmd/goimports

.PHONY: deps-check
deps-check:
	go mod tidy
	@if git diff --quiet --exit-code -- go.mod go.sum; then \
		echo "go.mod and go.sum are ok"; \
	else \
		echo ""; \
		echo "go.mod and go.sum are modified, please commit them";\
		exit 1; \
	fi;

## gitlab 8.4.0+dfsg~rc2

=== debian/changelog ===
gitlab (8.4.0+dfsg~rc2-4) unstable; urgency=medium

  * Reupload to unstable
  * Relax ruby-net-ssh dependency

 -- Pirate Praveen <praveen@debian.org>  Thu, 28 Jan 2016 02:01:57 +0530

gitlab (8.4.0+dfsg~rc2-3) experimental; urgency=medium

  * Read gitlab-debian.conf from /etc/default/gitlab
    - Use debian specific configuration in init script
  * Add nginx to dependencies (Closes: #812724)
  * Add ruby-influxdb to dependencies (Closes: #812839)
  * Add missing dependecies from Gemfile and tighen versions
  * Use environmental variables by commenting out defaults in gitlab.yml

 -- Pirate Praveen <praveen@debian.org>  Wed, 27 Jan 2016 13:40:31 +0530

gitlab (8.4.0+dfsg~rc2-2) experimental; urgency=medium

  * Add README.Debian to document debian specific changes
  * Make mysql optional (Closes: #812345)
  * Configure hostname via debconf and integrate nginx

 -- Pirate Praveen <praveen@debian.org>  Sun, 24 Jan 2016 15:19:19 +0530

gitlab (8.4.0+dfsg~rc2-1) experimental; urgency=medium

  * Initial release (Closes: #651606)

 -- Pirate Praveen <praveen@debian.org>  Wed, 20 Jan 2016 00:56:59 +0530

=== debian/control ===
Source: gitlab
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Cédric Boutillier <boutil@debian.org>,
 Pirate Praveen <praveen@debian.org>
Build-Depends: debhelper (>= 9~), gem2deb (>= 0.9.0~)
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-ruby-extras/gitlab.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ruby-extras/gitlab.git
Homepage: https://about.gitlab.com/
Testsuite: autopkgtest
XS-Ruby-Versions: all

Package: gitlab
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${shlibs:Depends}, ${misc:Depends}, ruby | ruby-interpreter,
 postgresql-client,
 adduser,
 bc,
 postgresql,
 redis-server (>= 2:2.8~),
 nodejs (>= 4~),
 nginx,
 gitlab-shell (>= 2.6.10~),
 gitlab-workhorse,
 ruby-rails (>= 2:4.2.4~),
 ruby-rails (<< 2:5),
 ruby-rails-deprecated-sanitizer (>= 1.0.3~),
 ruby-responders (>= 2.0~),
 ruby-sprockets (>= 3.3.0~),
 ruby-default-value-for (>= 3~),
#ruby-mysql2 | ruby-pg,
 ruby-pg,
# Authentication libraries
 ruby-devise (>= 3.2~),
 ruby-devise-async (>= 0.9~),
 ruby-doorkeeper (>= 2.1~),
 ruby-omniauth (>= 1.2.2~),
 ruby-omniauth-azure-oauth2 (>= 0.0.6~),
 ruby-omniauth-bitbucket (>= 0.0.2~),
 ruby-omniauth-cas3 (>= 1.1.2~),
 ruby-omniauth-facebook (>= 2.0.1~),
 ruby-omniauth-github (>= 1.1.1~),
 ruby-omniauth-gitlab (>= 1.0.0~),
 ruby-omniauth-google-oauth2 (>= 0.2.0~),
 ruby-omniauth-kerberos (>= 0.3.0-3~),
 ruby-omniauth-saml (>= 1.4.0~),
 ruby-omniauth-shibboleth (>= 1.2.0~),
 ruby-omniauth-twitter (>= 1.2.0~),
 ruby-omniauth-crowd (>= 2.2.0~),
 ruby-rack-oauth2 (>= 1.2.1~),
# reCAPTCHA protection
 ruby-recaptcha,
# Two-factor authentication
 ruby-devise-two-factor (>= 2.0.0~),
 ruby-rqrcode-rails3 (>= 0.1.7~),
 ruby-attr-encrypted (>= 1.3.4~),
# Browser detection
 ruby-browser (>= 1.0.0~),
# Extracting information from a git repository
 ruby-gitlab-git (>= 7.2.21~),
# LDAP Auth
# Debian package includes gitlab patches
 ruby-omniauth-ldap (>= 1.0.4~),
# Git Wiki
 ruby-gollum-lib (>= 4.1.0~),
# Language detection
 ruby-github-linguist (>= 4.7.0~),
# API
 ruby-grape (>= 0.13.0~),
 ruby-grape-entity (>= 0.4.2~),
 ruby-rack-cors (>= 0.4.0~),
# Pagination
 ruby-kaminari (>= 0.16.3),
# HAML
 ruby-haml-rails (>= 0.9.0~),
# Files attachments
 ruby-carrierwave (>= 0.9~),
# Drag and Drop UI
 ruby-dropzonejs-rails (>= 0.7.1~),
# for aws storage
 ruby-fog (>= 1.25~),
 ruby-unf (>= 0.1.4),
# Authorization
 ruby-six (>= 0.2.0~),
# Seed data
 ruby-seed-fu (>= 2.3.5~),
# Markdown and HTML processing
 ruby-html-pipeline (>= 1.11.0),
 ruby-task-list (>= 1.0.2~),
 ruby-github-markup (>= 1.3.1~),
 ruby-redcarpet (>= 3.3.3~),
 ruby-redcloth (>= 4.2.9~),
 ruby-org (>= 0.9.12~),
 ruby-creole (>= 0.5.0~),
 ruby-wikicloth (>= 0.8.1~),
 asciidoctor (>= 1.5.2~),
 ruby-rouge (>= 1.10.1~),
 ruby-nokogiri (>= 1.6.7.1~),
# Diffs
 ruby-diffy (>= 3.0.3~),
# Application server
 unicorn (>= 4.8~),
 ruby-unicorn-worker-killer (>= 0.4.2~),
# State machine
 ruby-state-machines-activerecord (>= 0.3.0~),
# Run events after state machine commits
 ruby-after-commit-queue,
# Issue tags
 ruby-acts-as-taggable-on (>= 3.4~),
# Background jobs
 ruby-sinatra (>= 1.4.4~),
 ruby-sidekiq (>= 4.0~),
 ruby-sidekiq-cron (>= 0.4.0~),
 ruby-redis-namespace,
# HTTP requests
 ruby-httparty (>= 0.13.3~),
# Colored output to console
 ruby-colorize (>= 0.7.0~),
# GitLab settings
 ruby-settingslogic (>= 2.0.9~),
# Misc
 ruby-version-sorter (>= 2.0.0~),
# Cache
 ruby-redis-rails (>= 4.0.0~),
# Campfire integration
 ruby-tinder (>= 1.10.0~),
# HipChat integration
 ruby-hipchat (>= 1.5.0~),
# Flowdock integration
 ruby-gitlab-flowdock-git-hook (>= 1.0.1~),
# Gemnasium integration
 ruby-gemnasium-gitlab-service (>= 0.2~),
# Slack integration
 ruby-slack-notifier (>= 1.2.0~),
# Asana integration
 ruby-asana (>= 0.4.0~),
# FogBugz integration
 ruby-fogbugz (>= 0.2.1~),
# d3
 ruby-d3-rails (>= 3.1~),
#cal-heatmap
 ruby-cal-heatmap-rails (>= 3.5.1~),
# underscore-rails
 ruby-underscore-rails (>= 1.4~),
# Sanitize user input
 ruby-sanitize (>= 2.0~),
 ruby-babosa (>= 1.0.2~),
# Protect against bruteforcing
 ruby-rack-attack (>= 4.3.1~),
# Ace editor
 ruby-ace-rails-ap (>= 3.0.3~),
# Keyboard shortcuts
 ruby-mousetrap-rails (>= 1.4.6~),
# Detect and convert string character encoding
 ruby-charlock-holmes (>= 0.7.3~),
 ruby-sass-rails (>= 5.0.0~),
 ruby-coffee-rails (>= 4.1.0~),
 ruby-uglifier (>= 2.7.2~),
 ruby-turbolinks (>= 2.5.0~),
 ruby-jquery-turbolinks (>= 2.1.0~),
 ruby-addressable (>= 2.3.8~),
 ruby-bootstrap-sass (>= 3.3.0~),
 ruby-font-awesome-rails (>= 4.2~),
 ruby-gitlab-emoji (>= 0.2.0~),
 ruby-gon (>= 6.0.1~),
 ruby-jquery-atwho-rails (>= 1.3.2~),
 ruby-jquery-rails (>= 4.0.0~),
 ruby-jquery-scrollto-rails (>= 1.4.3~),
 ruby-jquery-ui-rails (>= 5.0.0~),
 ruby-nprogress-rails (>= 0.1.6.7~),
 ruby-raphael-rails (>= 2.1.2~),
 ruby-request-store (>= 1.1~),
 ruby-select2-rails (>= 3.5.9~),
 ruby-virtus (>= 1.0.1~),
 ruby-net-ssh (>= 2.9.2~),
# Metrics
 ruby-allocations (>= 1.0~),
 ruby-method-source (>= 0.8~),
 ruby-influxdb (>= 0.2~),
 ruby-connection-pool (>= 2.0~),
 ruby-octokit (>= 3.7~),
 ruby-mail-room (>= 0.6.1),
 ruby-email-reply-parser (>= 0.5.8~),
## CI
 ruby-activerecord-deprecated-finders (>= 1.0.3-2~),
 ruby-activerecord-session-store (>= 0.1.0~),
 ruby-nested-form (>= 0.3.2~),
# OAuth
 ruby-oauth2 (>= 1.0.0~),
# Soft deletion
 ruby-paranoia (>= 2.0~),
# Vendored js files
 libjs-jquery-cookie,
 libjs-jquery-history,
 libjs-jquery-nicescroll,
 libjs-clipboard,
 libjs-chartjs,
 libjs-graphael,
 libjs-fuzzaldrin-plus
Description: git powered software platform to collaborate on code
 gitlab provides web based interface to host source code and track issues.
 It allows anyone for fork a repository and send merge requests. Code review
 is possible using merge request workflow. Using groups and roles project 
 access can be controlled.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#
# Uncomment to ignore all test failures (but the tests will run anyway)
#export DH_RUBY_IGNORE_TESTS=all
#
# Uncomment to ignore some test failures (but the tests will run anyway).
# Valid values:
#export DH_RUBY_IGNORE_TESTS=ruby2.1 require-rubygems
#
# If you need to specify the .gemspec (eg there is more than one)
#export DH_RUBY_GEMSPEC=gem.gemspec

%:
	dh $@

override_dh_auto_build:
	chmod -x app/assets/fonts/SourceSansPro-BlackIt.ttf.woff2
	chmod -x app/assets/fonts/SourceSansPro-BlackIt.ttf.woff
	chmod -x app/assets/fonts/SourceSansPro-It.ttf.woff2
	chmod -x app/assets/fonts/SourceSansPro-It.ttf.woff
	chmod -x app/assets/fonts/SourceSansPro-LightIt.ttf.woff2
	chmod -x app/assets/fonts/SourceSansPro-LightIt.ttf.woff
	chmod -x app/assets/fonts/OFL.txt
	chmod -x app/assets/fonts/SourceSansPro-SemiboldIt.ttf.woff2
	chmod -x app/assets/fonts/SourceSansPro-SemiboldIt.ttf.woff
	chmod -x app/assets/fonts/SourceSansPro-BoldIt.ttf.woff2
	chmod -x app/assets/fonts/SourceSansPro-BoldIt.ttf.woff
	chmod -x app/assets/fonts/SourceSansPro-ExtraLightIt.ttf.woff2
	chmod -x app/assets/fonts/SourceSansPro-ExtraLightIt.ttf.woff
	chmod -x app/assets/fonts/SourceSansPro-ExtraLight.ttf.woff2
	chmod -x app/assets/fonts/SourceSansPro-ExtraLight.ttf.woff
	chmod -x app/assets/fonts/SourceSansPro-Bold.ttf.woff2
	chmod -x app/assets/fonts/SourceSansPro-Bold.ttf.woff
	chmod -x app/assets/fonts/SourceSansPro-Regular.ttf.woff2
	chmod -x app/assets/fonts/SourceSansPro-Regular.ttf.woff
	chmod -x app/assets/fonts/SourceSansPro-Semibold.ttf.woff2
	chmod -x app/assets/fonts/SourceSansPro-Semibold.ttf.woff
	chmod -x app/assets/fonts/SourceSansPro-Light.ttf.woff2
	chmod -x app/assets/fonts/SourceSansPro-Light.ttf.woff
	chmod -x app/assets/fonts/SourceSansPro-Black.ttf.woff2
	chmod -x app/assets/fonts/SourceSansPro-Black.ttf.woff
	chmod +x Rakefile

override_dh_auto_clean:
	chmod +x app/assets/fonts/SourceSansPro-BlackIt.ttf.woff2
	chmod +x app/assets/fonts/SourceSansPro-BlackIt.ttf.woff
	chmod +x app/assets/fonts/SourceSansPro-It.ttf.woff2
	chmod +x app/assets/fonts/SourceSansPro-It.ttf.woff
	chmod +x app/assets/fonts/SourceSansPro-LightIt.ttf.woff2
	chmod +x app/assets/fonts/SourceSansPro-LightIt.ttf.woff
	chmod +x app/assets/fonts/OFL.txt
	chmod +x app/assets/fonts/SourceSansPro-SemiboldIt.ttf.woff2
	chmod +x app/assets/fonts/SourceSansPro-SemiboldIt.ttf.woff
	chmod +x app/assets/fonts/SourceSansPro-BoldIt.ttf.woff2
	chmod +x app/assets/fonts/SourceSansPro-BoldIt.ttf.woff
	chmod +x app/assets/fonts/SourceSansPro-ExtraLightIt.ttf.woff2
	chmod +x app/assets/fonts/SourceSansPro-ExtraLightIt.ttf.woff
	chmod +x app/assets/fonts/SourceSansPro-ExtraLight.ttf.woff2
	chmod +x app/assets/fonts/SourceSansPro-ExtraLight.ttf.woff
	chmod +x app/assets/fonts/SourceSansPro-Bold.ttf.woff2
	chmod +x app/assets/fonts/SourceSansPro-Bold.ttf.woff
	chmod +x app/assets/fonts/SourceSansPro-Regular.ttf.woff2
	chmod +x app/assets/fonts/SourceSansPro-Regular.ttf.woff
	chmod +x app/assets/fonts/SourceSansPro-Semibold.ttf.woff2
	chmod +x app/assets/fonts/SourceSansPro-Semibold.ttf.woff
	chmod +x app/assets/fonts/SourceSansPro-Light.ttf.woff2
	chmod +x app/assets/fonts/SourceSansPro-Light.ttf.woff
	chmod +x app/assets/fonts/SourceSansPro-Black.ttf.woff2
	chmod +x app/assets/fonts/SourceSansPro-Black.ttf.woff
	chmod -x Rakefile

## gitlab 8.4.0+dfsg

=== debian/changelog ===
gitlab (8.4.0+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Use su instead of sudo everywhere (Closes: #812951)
  * Add rake and ruby-sentry-raven as dependencies
  * Remove patch 0107-relax-omniauth-facebook.patch

 -- Pirate Praveen <praveen@debian.org>  Tue, 02 Feb 2016 19:28:45 +0530

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
 Architecture: all
 XB-Ruby-Versions: ${ruby:Versions}
 Depends: ${shlibs:Depends}, ${misc:Depends}, ruby | ruby-interpreter,
+ rake,
  postgresql-client,
  adduser,
  bc,
@@ -41,7 +42,7 @@
  ruby-omniauth-azure-oauth2 (>= 0.0.6~),
  ruby-omniauth-bitbucket (>= 0.0.2~),
  ruby-omniauth-cas3 (>= 1.1.2~),
- ruby-omniauth-facebook (>= 2.0.1~),
+ ruby-omniauth-facebook (>= 3.0.0~),
  ruby-omniauth-github (>= 1.1.1~),
  ruby-omniauth-gitlab (>= 1.0.0~),
  ruby-omniauth-google-oauth2 (>= 0.2.0~),
@@ -181,6 +182,7 @@
  ruby-method-source (>= 0.8~),
  ruby-influxdb (>= 0.2~),
  ruby-connection-pool (>= 2.0~),
+ ruby-sentry-raven,
  ruby-octokit (>= 3.7~),
  ruby-mail-room (>= 0.6.1),
  ruby-email-reply-parser (>= 0.5.8~),

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,\
filenamemangle=s/.*=v(.*)/gitlab-$1.tar.gz/,\
dversionmangle=s/(\d)[\+]?(debian|dfsg|ds|deb|gh)\~(rc)*(\d)*$/$1~$3$4/ \
https://gitlab.com/gitlab-org/gitlab-ce/tags .*/archive.tar.gz\?ref=v(.*)

## gitlab 8.4.3+dfsg

=== debian/changelog ===
gitlab (8.4.3+dfsg-8) unstable; urgency=medium

  * Install tmpfiles.d/gitlab.conf and allow www-data user to read /run/gitlab
    (Closes: #814714)
  * Switch to sendmail method by default. 

 -- Pirate Praveen <praveen@debian.org>  Tue, 16 Feb 2016 13:58:16 +0530

gitlab (8.4.3+dfsg-7) unstable; urgency=medium

  * bc should be in build-dep (Closes: #814695)
  * fix pid file mismatch between /etc/default/gitlab and systemd service files
    (Closes: #814714)
  * use tmpfiles.d for /run/gitlab (Closes: #814713) Thanks to Christian Seiler

 -- Pirate Praveen <praveen@debian.org>  Tue, 16 Feb 2016 00:08:18 +0530

gitlab (8.4.3+dfsg-6) unstable; urgency=medium

  * Fix pid and sockets path for gitlab-workhorse 

 -- Pirate Praveen <praveen@debian.org>  Sun, 14 Feb 2016 12:45:24 +0530

gitlab (8.4.3+dfsg-5) unstable; urgency=medium

  * Switch to su from sudo 

 -- Pirate Praveen <praveen@debian.org>  Sat, 13 Feb 2016 23:53:42 +0530

gitlab (8.4.3+dfsg-4) unstable; urgency=medium

  * Don't overwrite existing database (Closes: #814458)
  * Write logs, pids and sockets to /var (Closes: #814476)
  * Add more files to debian/install (Closes: #814503)
  * Add a check in debian/rules for installing all files

 -- Pirate Praveen <praveen@debian.org>  Sat, 13 Feb 2016 21:55:51 +0530

gitlab (8.4.3+dfsg-3) unstable; urgency=medium

  * Check if /run/systemd/system dirctory exist for systemd

 -- Pirate Praveen <praveen@debian.org>  Fri, 12 Feb 2016 01:01:59 +0530

gitlab (8.4.3+dfsg-2) unstable; urgency=medium

  [ Balasankar C ]
  * Add email configuration via sendmail method

  [ Pirate Praveen ]
  * Download certificates via letsencrypt
  * Check /proc/1/cmdline for systemd (Closes: #814413)

 -- Pirate Praveen <praveen@debian.org>  Fri, 12 Feb 2016 00:17:01 +0530

gitlab (8.4.3+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches (rails version is in sync)
  * Configure ssl for nginx if selected
  * Use letsencrypt certificate paths if selected
  * Add git as dependency (Closes: #813807)
  * SSH key upload is working (Closes: #812861)
  * Configure gitlab_url as workwround (Closes: #813770 )

 -- Pirate Praveen <praveen@debian.org>  Tue, 09 Feb 2016 23:39:34 +0530

gitlab (8.4.0+dfsg-2) unstable; urgency=medium

  * Add systemd units (Closes: #812841)
  * Remove Gemfile.lock if found before bundle install
    (Closes: #813550) (Closes: #812907)

 -- Pirate Praveen <praveen@debian.org>  Thu, 04 Feb 2016 16:28:26 +0530

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Cédric Boutillier <boutil@debian.org>,
  Pirate Praveen <praveen@debian.org>
-Build-Depends: debhelper (>= 9~), gem2deb (>= 0.9.0~)
+Build-Depends: debhelper (>= 9~), gem2deb (>= 0.9.0~), dh-systemd, bc
 Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-ruby-extras/gitlab.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-ruby-extras/gitlab.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ruby-extras/gitlab.git
 Homepage: https://about.gitlab.com/
 Testsuite: autopkgtest
@@ -16,7 +16,9 @@
 Architecture: all
 XB-Ruby-Versions: ${ruby:Versions}
 Depends: ${shlibs:Depends}, ${misc:Depends}, ruby | ruby-interpreter,
+ git,
  rake,
+ bundler,
  postgresql-client,
  adduser,
  bc,
@@ -25,7 +27,7 @@
  nodejs (>= 4~),
  nginx,
  gitlab-shell (>= 2.6.10~),
- gitlab-workhorse,
+ gitlab-workhorse (>= 0.6.2~),
  ruby-rails (>= 2:4.2.4~),
  ruby-rails (<< 2:5),
  ruby-rails-deprecated-sanitizer (>= 1.0.3~),
@@ -61,7 +63,7 @@
 # Browser detection
  ruby-browser (>= 1.0.0~),
 # Extracting information from a git repository
- ruby-gitlab-git (>= 7.2.21~),
+ ruby-gitlab-git (>= 7.2.24~),
 # LDAP Auth
 # Debian package includes gitlab patches
  ruby-omniauth-ldap (>= 1.0.4~),

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	dh_install
	dh_systemd_enable gitlab-mailroom.service
	dh_systemd_enable gitlab-unicorn.service
	dh_systemd_enable gitlab-sidekiq.service
	dh_systemd_enable gitlab-workhorse.service
	dh_systemd_enable gitlab.target
	dh_systemd_start gitlab.target
	# Make sure we are installing all required files in debian/install
	sh debian/upstream-file-count-check.sh

override_dh_installinit:
	dh_installinit --no-start

## gitlab 8.5.8+dfsg

=== debian/changelog ===
gitlab (8.5.8+dfsg-5) unstable; urgency=medium

  * Make nginx optional (Closes: #819260)
  * Manage nginx configuration via ucf (Closes: #819262)
  * Manage gitlab-debian.conf and gitlab.yml via ucf
  * Make postinst more verbose

 -- Pirate Praveen <praveen@debian.org>  Fri, 08 Apr 2016 17:29:34 +0530

gitlab (8.5.8+dfsg-4) unstable; urgency=medium

  * Tighten version requirements for dependencies
  * Fix permissions for uploads
  * Run db:migrate when db exist
  * Restrict file permissions for secret files (Closes: #819412)
  * Move db to /var/lib/gitlab (fix migrations)

  [ Libor Klepáč ]
  * Create builds directory in /var/log (Closes: #819907)

 -- Pirate Praveen <praveen@debian.org>  Tue, 05 Apr 2016 22:55:36 +0530

gitlab (8.5.8+dfsg-3) unstable; urgency=medium

  * Reupload to unstable
  * Add mail-transport-agent as dependency
  * Symlink 'shared' to /var/lib/gitlab instead of 'shared/cache'
    - gitlab expects everything inside shared to be in the same file system.
  * Use embedded copy of fuzzaldrin-plus (See #814871 for more details)
  * Bring back db check in postinst (initialize the db only if it is empty)
  * Choose unicode for db encoding
  * Don't run letsencrypt if certificate is already present

 -- Pirate Praveen <praveen@debian.org>  Tue, 05 Apr 2016 00:14:30 +0530

gitlab (8.5.8+dfsg-2) experimental; urgency=medium

  * Change letsencrypt from depends to recommends 

 -- Pirate Praveen <praveen@debian.org>  Sun, 03 Apr 2016 11:09:51 +0530

gitlab (8.5.8+dfsg-1) experimental; urgency=medium

  * New upstream release

 -- Pirate Praveen <praveen@debian.org>  Sat, 02 Apr 2016 21:30:27 +0530

gitlab (8.4.3+dfsg-12) unstable; urgency=medium

  [ Libor Klepáč ]
  * Add fix-wiki.patch: Fix wiki display (Closes: #815465)

  [ Pirate Praveen ]
  * Use redis-server.service instead of redis.service (which is an alias to
    redis-server.service and won't be available if redis-server.service is
    disabled) in systemd files.

 -- Pirate Praveen <praveen@debian.org>  Fri, 18 Mar 2016 19:12:10 +0530

gitlab (8.4.3+dfsg-11) unstable; urgency=medium

  * Relax stable library versions requirement
  * Relax dependency on grape-entity

  [ Johannes Schauer ]
  * Add diagnostic info to README.Debian
  * Add steps of migrating a source install to debian package

 -- Pirate Praveen <praveen@debian.org>  Wed, 16 Mar 2016 20:16:47 +0530

gitlab (8.4.3+dfsg-10) unstable; urgency=medium

  [ Balasankar C ]
  * Team upload.
  * Bump Standards Version (No Changes).
  * Fix typo in debian/README.Debian.
  * 0038-relax-net-ssh.patch : Add dep3 header.

  [ Pirate Praveen ]
  * Replace gitlab:setup with db:schema:load and db:seed_fu (Closes: #815798)
  * Relax rails dependency in Gemfile (Closes: #817150)

 -- Pirate Praveen <praveen@debian.org>  Tue, 15 Mar 2016 19:42:59 +0530

gitlab (8.4.3+dfsg-9) unstable; urgency=medium

  * Reorganize directory layout (Closes: #814476)
    - Move gitlab user's home directory to /var/lib
    - Add config as a symlink to /etc/gitlab
    - Add log as a symlink to /var/log/gitlab
    - Add public as a symlink to /var/lib/gitlab/public
    - Add more files that needs write permission to /var

 -- Pirate Praveen <praveen@debian.org>  Thu, 18 Feb 2016 22:51:32 +0530

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Cédric Boutillier <boutil@debian.org>,
  Pirate Praveen <praveen@debian.org>
-Build-Depends: debhelper (>= 9~), gem2deb (>= 0.9.0~), dh-systemd, bc
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9~), gem2deb, dh-systemd, bc
+Standards-Version: 3.9.7
 Vcs-Git: https://anonscm.debian.org/git/pkg-ruby-extras/gitlab.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ruby-extras/gitlab.git
 Homepage: https://about.gitlab.com/
@@ -16,31 +16,34 @@
 Architecture: all
 XB-Ruby-Versions: ${ruby:Versions}
 Depends: ${shlibs:Depends}, ${misc:Depends}, ruby | ruby-interpreter,
- git,
+ git (>= 2.7.3~),
  rake,
  bundler,
  postgresql-client,
- adduser,
+ adduser (>= 3.34~),
  bc,
  postgresql,
  redis-server (>= 2:2.8~),
  nodejs (>= 4~),
- nginx,
+ nginx | httpd,
+ postfix | exim4 | mail-transport-agent,
+ openssh-client,
+ ucf,
  gitlab-shell (>= 2.6.10~),
  gitlab-workhorse (>= 0.6.2~),
- ruby-rails (>= 2:4.2.4~),
+ ruby-rails (>= 2:4.2.5.2~),
  ruby-rails (<< 2:5),
  ruby-rails-deprecated-sanitizer (>= 1.0.3~),
  ruby-responders (>= 2.0~),
  ruby-sprockets (>= 3.3.0~),
  ruby-default-value-for (>= 3~),
 #ruby-mysql2 | ruby-pg,
- ruby-pg,
+ ruby-pg (>= 0.18.4~),
 # Authentication libraries
- ruby-devise (>= 3.2~),
+ ruby-devise (>= 3.5.4~),
  ruby-devise-async (>= 0.9~),
  ruby-doorkeeper (>= 2.1~),
- ruby-omniauth (>= 1.2.2~),
+ ruby-omniauth (>= 1.3.1~),
  ruby-omniauth-azure-oauth2 (>= 0.0.6~),
  ruby-omniauth-bitbucket (>= 0.0.2~),
  ruby-omniauth-cas3 (>= 1.1.2~),
@@ -49,13 +52,14 @@
  ruby-omniauth-gitlab (>= 1.0.0~),
  ruby-omniauth-google-oauth2 (>= 0.2.0~),
  ruby-omniauth-kerberos (>= 0.3.0-3~),
- ruby-omniauth-saml (>= 1.4.0~),
+ ruby-omniauth-saml (>= 1.5.0~),
  ruby-omniauth-shibboleth (>= 1.2.0~),
  ruby-omniauth-twitter (>= 1.2.0~),
  ruby-omniauth-crowd (>= 2.2.0~),
  ruby-rack-oauth2 (>= 1.2.1~),
-# reCAPTCHA protection
+# Spam and anti-bot protection
  ruby-recaptcha,
+ ruby-akismet,
 # Two-factor authentication
  ruby-devise-two-factor (>= 2.0.0~),
  ruby-rqrcode-rails3 (>= 0.1.7~),
@@ -63,7 +67,7 @@
 # Browser detection
  ruby-browser (>= 1.0.0~),
 # Extracting information from a git repository
- ruby-gitlab-git (>= 7.2.24~),
+ ruby-gitlab-git (>= 8.2~),
 # LDAP Auth
 # Debian package includes gitlab patches
  ruby-omniauth-ldap (>= 1.0.4~),
@@ -73,7 +77,7 @@
  ruby-github-linguist (>= 4.7.0~),
 # API
  ruby-grape (>= 0.13.0~),
- ruby-grape-entity (>= 0.4.2~),
+ ruby-grape-entity (>= 0.5~),
  ruby-rack-cors (>= 0.4.0~),
 # Pagination
  ruby-kaminari (>= 0.16.3),
@@ -94,18 +98,18 @@
  ruby-html-pipeline (>= 1.11.0),
  ruby-task-list (>= 1.0.2~),
  ruby-github-markup (>= 1.3.1~),
- ruby-redcarpet (>= 3.3.3~),
+ ruby-redcarpet (>= 3.3.4~),
  ruby-redcloth (>= 4.2.9~),
  ruby-org (>= 0.9.12~),
  ruby-creole (>= 0.5.0~),
  ruby-wikicloth (>= 0.8.1~),
  asciidoctor (>= 1.5.2~),
  ruby-rouge (>= 1.10.1~),
- ruby-nokogiri (>= 1.6.7.1~),
+ ruby-nokogiri (>= 1.6.7.2~),
 # Diffs
  ruby-diffy (>= 3.0.3~),
 # Application server
- unicorn (>= 4.8~),
+ unicorn (>= 4.9.0~),
  ruby-unicorn-worker-killer (>= 0.4.2~),
 # State machine
  ruby-state-machines-activerecord (>= 0.3.0~),
@@ -167,7 +171,7 @@
  ruby-addressable (>= 2.3.8~),
  ruby-bootstrap-sass (>= 3.3.0~),
  ruby-font-awesome-rails (>= 4.2~),
- ruby-gitlab-emoji (>= 0.2.0~),
+ ruby-gitlab-emoji (>= 0.3~),
  ruby-gon (>= 6.0.1~),
  ruby-jquery-atwho-rails (>= 1.3.2~),
  ruby-jquery-rails (>= 4.0.0~),
@@ -178,7 +182,7 @@
  ruby-request-store (>= 1.1~),
  ruby-select2-rails (>= 3.5.9~),
  ruby-virtus (>= 1.0.1~),
- ruby-net-ssh (>= 2.9.2~),
+ ruby-net-ssh (>= 3.0~),
 # Metrics
  ruby-allocations (>= 1.0~),
  ruby-method-source (>= 0.8~),
@@ -203,7 +207,7 @@
  libjs-clipboard,
  libjs-chartjs,
  libjs-graphael,
- libjs-fuzzaldrin-plus
+Recommends: letsencrypt
 Description: git powered software platform to collaborate on code
  gitlab provides web based interface to host source code and track issues.
  It allows anyone for fork a repository and send merge requests. Code review

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,7 @@
 	dh_systemd_start gitlab.target
 	# Make sure we are installing all required files in debian/install
 	sh debian/upstream-file-count-check.sh
+	rm -rf debian/gitlab/usr/share/gitlab/tmp/*
 
 override_dh_installinit:
 	dh_installinit --no-start

## gitlab 8.8.2+dfsg

=== debian/changelog ===
gitlab (8.8.2+dfsg-4) unstable; urgency=high

  * Allow minor updates for ruby-state-machines-activerecord (Closes: #827013)

 -- Pirate Praveen <praveen@debian.org>  Sun, 12 Jun 2016 12:51:19 +0530

gitlab (8.8.2+dfsg-3) unstable; urgency=medium

  * Update minimum version of rails to 4.2.6
  * Update minimum version of ruby-request-store to 1.3
  * Add postgresql-contrib as dependency for pg_trgm extension
    (Closes: #826302)
  * Add ruby-coffee-script-source (>= 1.10.0~) as dependency

 -- Pirate Praveen <praveen@debian.org>  Sun, 05 Jun 2016 18:20:51 +0530

gitlab (8.8.2+dfsg-2) unstable; urgency=medium

  * Move gitlab-shell's config.yml to /etc
  * Update minimum version of gitlab-shell to 3.0.0

 -- Pirate Praveen <praveen@debian.org>  Sat, 04 Jun 2016 21:47:12 +0530

gitlab (8.8.2+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #823290)
  * Refresh patches
  * Bump standards version to 3.9.8 (no changes)
  * Enable the pg_trgm extension for postgresql
  * Check if nginx site configuration directory is present before copying
    (Closes: #821085)
  * Symlink /run/gitlab/cache to /var/lib/gitlab/cache (or /run gets filled up)
  * Remove debconf db on purge

 -- Pirate Praveen <praveen@debian.org>  Thu, 02 Jun 2016 22:27:15 +0530

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Cédric Boutillier <boutil@debian.org>,
  Pirate Praveen <praveen@debian.org>
 Build-Depends: debhelper (>= 9~), gem2deb, dh-systemd, bc
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/pkg-ruby-extras/gitlab.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ruby-extras/gitlab.git
 Homepage: https://about.gitlab.com/
@@ -16,22 +16,22 @@
 Architecture: all
 XB-Ruby-Versions: ${ruby:Versions}
 Depends: ${shlibs:Depends}, ${misc:Depends}, ruby | ruby-interpreter,
- git (>= 2.7.3~),
+ git (>= 1:2.7.3~),
  rake,
  bundler,
  postgresql-client,
  adduser (>= 3.34~),
  bc,
- postgresql,
+ postgresql-contrib,
  redis-server (>= 2:2.8~),
  nodejs (>= 4~),
  nginx | httpd,
  postfix | exim4 | mail-transport-agent,
  openssh-client,
  ucf,
- gitlab-shell (>= 2.6.10~),
+ gitlab-shell (>= 3.0.0~),
  gitlab-workhorse (>= 0.6.2~),
- ruby-rails (>= 2:4.2.5.2~),
+ ruby-rails (>= 2:4.2.6~),
  ruby-rails (<< 2:5),
  ruby-rails-deprecated-sanitizer (>= 1.0.3~),
  ruby-responders (>= 2.0~),
@@ -42,8 +42,9 @@
 # Authentication libraries
  ruby-devise (>= 3.5.4~),
  ruby-devise-async (>= 0.9~),
- ruby-doorkeeper (>= 2.1~),
+ ruby-doorkeeper (>= 3.1~),
  ruby-omniauth (>= 1.3.1~),
+ ruby-omniauth-auth0 (>= 1.4.1~),
  ruby-omniauth-azure-oauth2 (>= 0.0.6~),
  ruby-omniauth-bitbucket (>= 0.0.2~),
  ruby-omniauth-cas3 (>= 1.1.2~),
@@ -67,12 +68,12 @@
 # Browser detection
  ruby-browser (>= 1.0.0~),
 # Extracting information from a git repository
- ruby-gitlab-git (>= 8.2~),
+ ruby-gitlab-git (>= 10.0~),
 # LDAP Auth
 # Debian package includes gitlab patches
  ruby-omniauth-ldap (>= 1.0.4~),
 # Git Wiki
- ruby-gollum-lib (>= 4.1.0~),
+ ruby-gollum-lib (>= 4.2~),
 # Language detection
  ruby-github-linguist (>= 4.7.0~),
 # API
@@ -112,7 +113,7 @@
  unicorn (>= 4.9.0~),
  ruby-unicorn-worker-killer (>= 0.4.2~),
 # State machine
- ruby-state-machines-activerecord (>= 0.3.0~),
+ ruby-state-machines-activerecord (>= 0.4.0~),
 # Run events after state machine commits
  ruby-after-commit-queue,
 # Issue tags
@@ -149,22 +150,27 @@
 # d3
  ruby-d3-rails (>= 3.1~),
 #cal-heatmap
- ruby-cal-heatmap-rails (>= 3.5.1~),
+ ruby-cal-heatmap-rails (>= 3.6.0~),
 # underscore-rails
  ruby-underscore-rails (>= 1.4~),
 # Sanitize user input
  ruby-sanitize (>= 2.0~),
  ruby-babosa (>= 1.0.2~),
+# Sanitizes SVG input
+ ruby-loofah (>= 2.0.3~),
+# Working with license
+ ruby-licensee (>= 8.0.0~),
 # Protect against bruteforcing
  ruby-rack-attack (>= 4.3.1~),
 # Ace editor
- ruby-ace-rails-ap (>= 3.0.3~),
+ ruby-ace-rails-ap (>= 4.0.2~),
 # Keyboard shortcuts
  ruby-mousetrap-rails (>= 1.4.6~),
 # Detect and convert string character encoding
  ruby-charlock-holmes (>= 0.7.3~),
  ruby-sass-rails (>= 5.0.0~),
  ruby-coffee-rails (>= 4.1.0~),
+ ruby-coffee-script-source (>= 1.10.0~),
  ruby-uglifier (>= 2.7.2~),
  ruby-turbolinks (>= 2.5.0~),
  ruby-jquery-turbolinks (>= 2.1.0~),
@@ -179,18 +185,20 @@
  ruby-jquery-ui-rails (>= 5.0.0~),
  ruby-nprogress-rails (>= 0.1.6.7~),
  ruby-raphael-rails (>= 2.1.2~),
- ruby-request-store (>= 1.1~),
+ ruby-request-store (>= 1.3~),
  ruby-select2-rails (>= 3.5.9~),
  ruby-virtus (>= 1.0.1~),
  ruby-net-ssh (>= 3.0~),
+ ruby-base32 (>= 0.3.0~),
 # Metrics
  ruby-allocations (>= 1.0~),
  ruby-method-source (>= 0.8~),
  ruby-influxdb (>= 0.2~),
  ruby-connection-pool (>= 2.0~),
  ruby-sentry-raven,
- ruby-octokit (>= 3.7~),
- ruby-mail-room (>= 0.6.1),
+ ruby-premailer-rails,
+ ruby-octokit (>= 4.3.0~),
+ ruby-mail-room (>= 0.7~),
  ruby-email-reply-parser (>= 0.5.8~),
 ## CI
  ruby-activerecord-deprecated-finders (>= 1.0.3-2~),
@@ -200,6 +208,7 @@
  ruby-oauth2 (>= 1.0.0~),
 # Soft deletion
  ruby-paranoia (>= 2.0~),
+ ruby-health-check (>= 1.5.1~),
 # Vendored js files
  libjs-jquery-cookie,
  libjs-jquery-history,

## gitlab 8.9.0+dfsg

=== debian/changelog ===
gitlab (8.9.0+dfsg-9) unstable; urgency=medium

  * Create gitlab user as system user (Closes: #834037)

  [ Dmitry Smirnov ]
  * New patch to fix error 500 on runners page (Closes: #819903)
    Thanks, Libor Klepáč.
 
 -- Pirate Praveen <praveen@debian.org>  Mon, 15 Aug 2016 19:51:05 +0530

gitlab (8.9.0+dfsg-8) unstable; urgency=medium

  * Update ruby-unicorn-worker-killer dependency
  * Don't fail when .ssh exist

 -- Pirate Praveen <praveen@debian.org>  Tue, 26 Jul 2016 15:03:10 +0530

gitlab (8.9.0+dfsg-7) unstable; urgency=medium

  * Tighten dependencies
  * Allow unicorn 5.0 

 -- Pirate Praveen <praveen@debian.org>  Thu, 21 Jul 2016 13:51:37 +0530

gitlab (8.9.0+dfsg-6) unstable; urgency=medium

  * Create .ssh/authorized_keys in postinst 

 -- Pirate Praveen <praveen@debian.org>  Wed, 20 Jul 2016 23:13:59 +0530

gitlab (8.9.0+dfsg-5) unstable; urgency=medium

  * Tighten dependencies
  * Don't run gitlab:shell:install in postinst (Closes: #831877)
    (installed config.yml works)
  * Add a note about CAcert and browser trust
  
  [ Dmitry Smirnov ]
  * Do not leave dangling symlinks behind after purge
  * Remove generated assets on purge
  * rules: do not install LICENSE files
  * rules: properly use dh-systemd (Closes: #820991)
  * Rewrite terrible upstream .service files:
     - added meta "gitlab.service" that work alike corresponding init.d script
     - new .service files with support for "reload" and propagation of "reload" from "gitlab.service"
     - non-forking PIDFILE-less implementation
    This change fixes services' start-up and postinst error on first install.
  * templates: Replace StartSSL with CACert

 -- Pirate Praveen <praveen@debian.org>  Wed, 20 Jul 2016 20:28:21 +0530

gitlab (8.9.0+dfsg-4) unstable; urgency=medium

  * Move config files to /usr/share/doc as examples and
    copy them to /var/lib for modification (Closes: #821086)
  * Fix gitlab-shell's config.yml handling (Closes: #827846)

 -- Pirate Praveen <praveen@debian.org>  Thu, 14 Jul 2016 19:53:16 +0530

gitlab (8.9.0+dfsg-3) unstable; urgency=medium

  * Relax grape and rouge in Gemfile 

 -- Pirate Praveen <praveen@debian.org>  Sun, 10 Jul 2016 20:23:41 +0530

gitlab (8.9.0+dfsg-2) unstable; urgency=medium

  * Reupload to unstable
  * Relax omniauth-google-oauth2 in Gemfile

 -- Pirate Praveen <praveen@debian.org>  Sat, 09 Jul 2016 20:14:24 +0530

gitlab (8.9.0+dfsg-1) experimental; urgency=medium

  * New upstream release
  * Refresh patches and update dependencies 

 -- Pirate Praveen <praveen@debian.org>  Thu, 23 Jun 2016 23:54:28 +0530

gitlab (8.9.0+dfsg~rc4-1) experimental; urgency=medium

  * New upstream release candidate
  * Refresh patches
  * Use jquery in place of jquery2 (debian has only jquery and it has same API)
  * Remove /etc/gitlab/initializers/devise_async.rb (removed upstream)
  * Symlink /usr/share/gitlab/.ssh to var/lib/gitlab/.ssh

 -- Pirate Praveen <praveen@debian.org>  Wed, 22 Jun 2016 13:57:27 +0530

gitlab (8.8.2+dfsg-5) unstable; urgency=medium

  * Relax dependencies for all stable libraries (>= 1.0) (Closes: #827374) 

 -- Pirate Praveen <praveen@debian.org>  Thu, 16 Jun 2016 12:31:40 +0530

=== debian/control ===
--- 
+++ 
@@ -29,8 +29,8 @@
  postfix | exim4 | mail-transport-agent,
  openssh-client,
  ucf,
- gitlab-shell (>= 3.0.0~),
- gitlab-workhorse (>= 0.6.2~),
+ gitlab-shell (>= 3.0.0-4~),
+ gitlab-workhorse (>= 0.7.2~),
  ruby-rails (>= 2:4.2.6~),
  ruby-rails (<< 2:5),
  ruby-rails-deprecated-sanitizer (>= 1.0.3~),
@@ -40,7 +40,7 @@
 #ruby-mysql2 | ruby-pg,
  ruby-pg (>= 0.18.4~),
 # Authentication libraries
- ruby-devise (>= 3.5.4~),
+ ruby-devise (>= 4.0~),
  ruby-devise-async (>= 0.9~),
  ruby-doorkeeper (>= 3.1~),
  ruby-omniauth (>= 1.3.1~),
@@ -51,7 +51,7 @@
  ruby-omniauth-facebook (>= 3.0.0~),
  ruby-omniauth-github (>= 1.1.1~),
  ruby-omniauth-gitlab (>= 1.0.0~),
- ruby-omniauth-google-oauth2 (>= 0.2.0~),
+ ruby-omniauth-google-oauth2 (>= 0.4.1~),
  ruby-omniauth-kerberos (>= 0.3.0-3~),
  ruby-omniauth-saml (>= 1.5.0~),
  ruby-omniauth-shibboleth (>= 1.2.0~),
@@ -59,59 +59,67 @@
  ruby-omniauth-crowd (>= 2.2.0~),
  ruby-rack-oauth2 (>= 1.2.1~),
 # Spam and anti-bot protection
- ruby-recaptcha,
+ ruby-recaptcha (>= 3.0~),
  ruby-akismet,
 # Two-factor authentication
- ruby-devise-two-factor (>= 2.0.0~),
+ ruby-devise-two-factor (>= 3.0~),
  ruby-rqrcode-rails3 (>= 0.1.7~),
- ruby-attr-encrypted (>= 1.3.4~),
+ ruby-attr-encrypted (>= 3.0~),
+ ruby-u2f,
 # Browser detection
- ruby-browser (>= 1.0.0~),
+ ruby-browser (>= 2.2~),
 # Extracting information from a git repository
- ruby-gitlab-git (>= 10.0~),
+ ruby-gitlab-git (>= 10.2~),
 # LDAP Auth
 # Debian package includes gitlab patches
  ruby-omniauth-ldap (>= 1.0.4~),
 # Git Wiki
- ruby-gollum-lib (>= 4.2~),
+ ruby-gollum-lib (>= 4.2.1~),
 # Language detection
  ruby-github-linguist (>= 4.7.0~),
 # API
- ruby-grape (>= 0.13.0~),
+ ruby-grape (>= 0.16.2-2~),
  ruby-grape-entity (>= 0.5~),
  ruby-rack-cors (>= 0.4.0~),
 # Pagination
- ruby-kaminari (>= 0.16.3),
+ ruby-kaminari (>= 0.17~),
 # HAML
  ruby-haml-rails (>= 0.9.0~),
 # Files attachments
  ruby-carrierwave (>= 0.9~),
 # Drag and Drop UI
  ruby-dropzonejs-rails (>= 0.7.1~),
+# for backups
+ ruby-fog-aws (>= 0.9~),
+ ruby-fog-azure,
+ ruby-fog-core (>= 1.40~),
+ ruby-fog-local (>= 0.3~),
+ ruby-fog-google (>= 0.3~),
+ ruby-fog-openstack (>= 0.1~),
 # for aws storage
- ruby-fog (>= 1.25~),
- ruby-unf (>= 0.1.4),
+ ruby-unf (>= 0.1.4-2~),
 # Authorization
- ruby-six (>= 0.2.0~),
+ ruby-six (>= 0.2.0-3~),
 # Seed data
  ruby-seed-fu (>= 2.3.5~),
 # Markdown and HTML processing
+ ruby-htmlentities (>= 4.3.3~),
  ruby-html-pipeline (>= 1.11.0),
  ruby-task-list (>= 1.0.2~),
  ruby-github-markup (>= 1.3.1~),
  ruby-redcarpet (>= 3.3.4~),
- ruby-redcloth (>= 4.2.9~),
- ruby-org (>= 0.9.12~),
+ ruby-redcloth (>= 4.2.9-5~),
+ ruby-org (>= 0.9.12-2~),
  ruby-creole (>= 0.5.0~),
  ruby-wikicloth (>= 0.8.1~),
  asciidoctor (>= 1.5.2~),
- ruby-rouge (>= 1.10.1~),
+ ruby-rouge (>= 1.11~),
  ruby-nokogiri (>= 1.6.7.2~),
 # Diffs
  ruby-diffy (>= 3.0.3~),
 # Application server
- unicorn (>= 4.9.0~),
- ruby-unicorn-worker-killer (>= 0.4.2~),
+ unicorn (>= 5.0.1~),
+   ruby-unicorn-worker-killer (>= 0.4.4~),
 # State machine
  ruby-state-machines-activerecord (>= 0.4.0~),
 # Run events after state machine commits
@@ -126,7 +134,7 @@
 # HTTP requests
  ruby-httparty (>= 0.13.3~),
 # Colored output to console
- ruby-colorize (>= 0.7.0~),
+ ruby-rainbow (>= 2.1~),
 # GitLab settings
  ruby-settingslogic (>= 2.0.9~),
 # Misc
@@ -134,11 +142,11 @@
 # Cache
  ruby-redis-rails (>= 4.0.0~),
 # Campfire integration
- ruby-tinder (>= 1.10.0~),
+ ruby-tinder (>= 1.10.1-2~),
 # HipChat integration
  ruby-hipchat (>= 1.5.0~),
 # Flowdock integration
- ruby-gitlab-flowdock-git-hook (>= 1.0.1~),
+ ruby-gitlab-flowdock-git-hook (>= 1.0.1-2~),
 # Gemnasium integration
  ruby-gemnasium-gitlab-service (>= 0.2~),
 # Slack integration
@@ -146,7 +154,7 @@
 # Asana integration
  ruby-asana (>= 0.4.0~),
 # FogBugz integration
- ruby-fogbugz (>= 0.2.1~),
+ ruby-fogbugz (>= 0.2.1-3~),
 # d3
  ruby-d3-rails (>= 3.1~),
 #cal-heatmap
@@ -168,6 +176,8 @@
  ruby-mousetrap-rails (>= 1.4.6~),
 # Detect and convert string character encoding
  ruby-charlock-holmes (>= 0.7.3~),
+# Parse duration
+ ruby-chronic-duration,
  ruby-sass-rails (>= 5.0.0~),
  ruby-coffee-rails (>= 4.1.0~),
  ruby-coffee-script-source (>= 1.10.0~),
@@ -176,7 +186,7 @@
  ruby-jquery-turbolinks (>= 2.1.0~),
  ruby-addressable (>= 2.3.8~),
  ruby-bootstrap-sass (>= 3.3.0~),
- ruby-font-awesome-rails (>= 4.2~),
+ ruby-font-awesome-rails (>= 4.6.1~),
  ruby-gitlab-emoji (>= 0.3~),
  ruby-gon (>= 6.0.1~),
  ruby-jquery-atwho-rails (>= 1.3.2~),
@@ -187,23 +197,25 @@
  ruby-raphael-rails (>= 2.1.2~),
  ruby-request-store (>= 1.3~),
  ruby-select2-rails (>= 3.5.9~),
- ruby-virtus (>= 1.0.1~),
- ruby-net-ssh (>= 3.0~),
+ ruby-virtus (>= 1.0.5-3~),
+ ruby-net-ssh (>= 1:3.0.1~),
  ruby-base32 (>= 0.3.0~),
 # Metrics
  ruby-allocations (>= 1.0~),
- ruby-method-source (>= 0.8~),
+ ruby-method-source (>= 0.8.2-2~),
  ruby-influxdb (>= 0.2~),
  ruby-connection-pool (>= 2.0~),
  ruby-sentry-raven,
  ruby-premailer-rails,
+#   ruby-actionmailer,
+        ruby-mail (>= 2.5.4~),
  ruby-octokit (>= 4.3.0~),
- ruby-mail-room (>= 0.7~),
+ ruby-mail-room (>= 0.8~),
  ruby-email-reply-parser (>= 0.5.8~),
 ## CI
  ruby-activerecord-deprecated-finders (>= 1.0.3-2~),
- ruby-activerecord-session-store (>= 0.1.0~),
- ruby-nested-form (>= 0.3.2~),
+ ruby-activerecord-session-store (>= 1.0~),
+ ruby-nested-form (>= 0.3.2-2~),
 # OAuth
  ruby-oauth2 (>= 1.0.0~),
 # Soft deletion
